package test;


import com.gyee.SpringbootStart;
import com.gyee.frame.common.cache.IGlobalCache;
import com.gyee.frame.common.spring.SpringUtils;
import lombok.SneakyThrows;
import org.springframework.boot.SpringApplication;

import java.util.Arrays;
import java.util.List;


public class FirstAppByGuiApplicationTests {


    @SneakyThrows
    public static void main(String[] args) {

        SpringApplication.run(SpringbootStart.class, args);
        IGlobalCache globalCache= SpringUtils.getBean("globalCache");
        globalCache.set("key2", "value3");
        globalCache.lSetAll("list", Arrays.asList("hello", "redis"));
        List<Object> list = globalCache.lGet("list", 0, -1);
        System.out.println(globalCache.get("key2"));
    }

}